WordPress.org

Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP-Markdown

Allows Markdown to be enabled in posts, comments and bbPress forums.

1.5.1

  • Addresses issues with (since withdrawn) 1.5 version

1.5

  • Handle tables. See#35
  • Apply responsive layout issue. See#31
  • Use compressed prettify.js
  • Fixed bug with lists not being escaped
  • Fix textdomain. Change to 'wp-markdown'. Add pot.
  • Fixes incompatability issues with bbPress.

1.4

  • Fixes issue with consecutive shortcodes.
  • Fixes editing bbPress topics/replies on the front end corrupts MarkDown. See #25

1.3

  • Apply kses and balance tags after MD->HTML conversion. See#23
  • Compress scripts and minify icon sprite. See #7
  • Adds 'more' tag to MarkDown editor.
  • Adds support for iframes. See #22.
  • Fixes bug with underscores in shortcodes.
  • Adds support for tbody, tfoot and thead tags
  • Refactoring including renaming of plug-in style & script handles.

1.2

  • Fixes problems with images nested inside links. See #12
  • Ensure prettify is loaded, if needed, on home page. See #6
  • Updated Markdownify
  • Updated Prettify

1.1.6

  • Removes the wpautop/unwpautop functions. If using oembed, use embed shortcodes.
  • Adds public wrapper functions.
  • Remove bbPress front-end tinymce editor if using MarkDown

1.1.5

  • Fixes bug introduced in 1.1.4 where line breaks are stripped (affects code blocks).

1.1.4

  • Fixes bug where oembed would not work. Thanks ot Michael & Vinicius
  • Adds a filters for MarkDown 'help' text: wpmarkdown_help_text
  • Support for MarkDown extra (currently not supported in pagedown previewer)

1.1.3

  • Stable with WordPress 3.4
  • Fixed bug relating title attributes for links and images

1.1.2

  • Fixed bug relating to comments by logged out users

1.1.1

  • Fixed backslash bug

1.1

  • Added option to replace TinyMCE with Markdown help bar on post editor

1.0

  • Initial release

Requires: 3.1 or higher
Compatible up to: 3.6.1
Last Updated: 2 years ago
Active Installs: 4,000+

Ratings

4.5 out of 5 stars

Support

0 of 1 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,2,2 100,2,2
100,2,2 100,1,1
100,3,3
100,3,3 100,4,4
100,2,2
100,1,1
100,3,3
100,1,1
0,1,0 100,1,1
100,1,1 0,3,0
0,1,0
100,2,2
100,1,1
0,1,0
100,1,1
100,2,2
0,1,0
67,3,2
100,1,1
100,1,1